Skip to main content
GET
/
base
/
{baseId}
/
usage
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/usage \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "level": "free",
  "limit": {
    "maxRows": 123,
    "maxSizeAttachments": 123,
    "maxNumAutomationRuns": 123,
    "maxNumDatabaseConnections": 123,
    "maxRevisionHistoryDays": 123,
    "maxAutomationHistoryDays": 123,
    "automationEnable": true,
    "auditLogEnable": true,
    "adminPanelEnable": true,
    "rowColoringEnable": true,
    "buttonFieldEnable": true,
    "fieldAIEnable": true,
    "userGroupEnable": true,
    "advancedExtensionsEnable": true,
    "advancedPermissionsEnable": true,
    "passwordRestrictedSharesEnable": true,
    "authenticationEnable": true,
    "domainVerificationEnable": true,
    "organizationEnable": true,
    "apiRateLimit": 123,
    "chatAIEnable": true,
    "appEnable": true,
    "customDomainEnable": true,
    "maxNumAutomationSendEmail": 123
  },
  "appSumoTier": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required

Response

200 - application/json

Returns usage information for the base.

level
enum<string>
required
Available options:
free,
pro,
business,
enterprise
limit
object
required
appSumoTier
Available options:
1
Last modified on March 5, 2026